<template>
  <section>
    <quill-editor
      ref="richEditor"
      @change="$emit('input',$event.html)"
      :content="content"
      :options="editorOption"
    ></quill-editor>
  </section>
</template>
<script>
import "quill/dist/quill.core.css";
import "quill/dist/quill.snow.css";
import "quill/dist/quill.bubble.css";

import { quillEditor } from "vue-quill-editor";

export default {
  components: {
    quillEditor
  },
  props: ["content"],
  methods: {},
  watch: {
    // content(val) {
    //   this.$emit("input", val);
    // }
  },
  data() {
    return {
      name: "01-example",
      //   content: " bansat",
      editorOption: {
        modules: {
          toolbar: [
            [{ header: [1, 2, 3, 4, 5, 6, false] }],
            [{ size: ["small", false, "large", "huge"] }],
            [{ align: [] }],
            ["bold", "italic", "underline", "strike"],
            ["blockquote", "code-block"],
            [{ color: [] }, { background: [] }],
            [{ list: "ordered" }, { list: "bullet" }],
            [{ font: [] }],
            ["link", "image", "video"]
            // [{ script: "sub" }, { script: "super" }],
            // [{ indent: "-1" }, { indent: "+1" }],
            // [{ direction: "rtl" }],
          ],
          syntax: {
            highlight: text => hljs.highlightAuto(text).value
          }
        }
      }
    };
  }
};
</script>

<style lang="scss">
.ql-editor {
  height: 200px;
}
</style>
